tech-toolchain archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

evbarm doesn't build on OS X Mavericks

Hi all,
I managed to get my iMac upgraded to Mavericks at the same time as I got my 
file server back up and running and the same time as a new Raspberry Pi driver 
got committed with DMA support. Now I find that the evbarm tools won’t compile 
and I don’t know whose fault that is because so much has changed in my build 

The problem is that that elftosb won’t compile because it uses <iostream> and 
the OS X iostream header requires <nl_types.h> and our compat <nl_types.h> in 
src/tools/compat gets included instead of the correct one from Xcode. 

I’m afraid that I have no idea how to fix this because I have no idea what is 
supposed to happen.


Home | Main Index | Thread Index | Old Index